CGLIBCoreMock (jMock API Documentation)
Keywords: org.jmock.cglib.CGLIBCoreMock class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.cglib
Class CGLIBCoreMock

    java.lang.Object
      org.jmock.core.AbstractDynamicMock
          org.jmock.cglib.CGLIBCoreMock

All Implemented Interfaces:
  Callback, MethodInterceptor, DynamicMock, Verifiable

    public class CGLIBCoreMock

extends AbstractDynamicMock
implements MethodInterceptor

Constructor Summary
`CGLIBCoreMock(Class mockedType, String name)`
`CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`CGLIBCoreMock(Class mockedType, String name, Class[] constructorArgumentTypes, Object[] constructorArguments, InvocationDispatcher invocationDispatcher)`
`CGLIBCoreMock(Class mockedType, String name, InvocationDispatcher invocationDispatcher)`

Method Summary
`Object` | `intercept(Object thisProxy, Method method, Object[] args, MethodProxy superProxy)`
`Object` | `proxy()`

Methods inherited from class org.jmock.core.AbstractDynamicMock
`addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CGLIBCoreMock

    public CGLIBCoreMock(Class mockedType,
                         String name)

### CGLIBCoreMock

    public CGLIBCoreMock(Class mockedType,
                         String name,
                         Class[] constructorArgumentTypes,
                         Object[] constructorArguments)

### CGLIBCoreMock

    public CGLIBCoreMock(Class mockedType,
                         String name,
                         InvocationDispatcher invocationDispatcher)

### CGLIBCoreMock

    public CGLIBCoreMock(Class mockedType,
                         String name,
                         Class[] constructorArgumentTypes,
                         Object[] constructorArguments,
                         InvocationDispatcher invocationDispatcher)

Method Detail

### proxy

    public Object proxy()

  Specified by:
    `proxy` in interface `DynamicMock`
  Specified by:
    `proxy` in class `AbstractDynamicMock`

### intercept

    public Object intercept(Object thisProxy,
                            Method method,
                            Object[] args,
                            MethodProxy superProxy)
                     throws Throwable

  Specified by:
    `intercept` in interface `MethodInterceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD